## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           wvkbd
Version:        0.16
Release:        %{autorelease}
Summary:        On-screen keyboard for wlroots

License:        GPL-3.0-only AND MIT
URL:            https://git.sr.ht/~proycon/wvkbd/
Source:         %{url}/archive/v%{version}.tar.gz#/wvkbd-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cairo-devel
BuildRequires:  pango-devel
BuildRequires:  wayland-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  scdoc

%description
This project aims to deliver a minimal but practically usable implementation of
a wlroots on-screen keyboard in legible C. This will only be a keyboard, not a
feedback buzzer, led blinker, or anything that requires more than what's needed
to input text quickly. The end product should be a static codebase that can be
patched to add new features.

Features:
- Typing, modifier locking, layout switching
- Positive visual feedback on key presses
- Custom layouts and underlying keymaps
- On-the-fly layout and keymap switching
- Custom color schemes
- Proper font drawing
- Intuitive layouts
- International layouts (cyrillic, arabic, persian, greek, georgian)
- Support for 'Copy' keys which are not on the keymap
- Emoji support
- Compose key for character variants (e.g. diacritics)
- Show/hide keyboard on signals (SIGUSR1 = hide, SIGUSR2 = show, SIGRTMIN =
toggle)
- Automatic portrait/landscape detection and subsequent layout switching

There are some areas that still need work:
- Make sure the virtual input method in wayland is working as best as it can
- Support for input method protocol in wayland, ability to respond to text
fields

%prep
%autosetup -n %{name}-v%{version}

%build
sed -i "s|CFLAGS += -std=gnu99|CFLAGS += ${CFLAGS} -std=gnu99|g" Makefile
sed -i "s|LDFLAGS += |LDFLAGS += ${LDFLAGS}|g" Makefile
sed -i "s|PREFIX = /usr/local|PREFIX = %{_prefix}|g" config.mk
%make_build


%install
DESTDIR=%{buildroot} PREFIX=%{_prefix} MANPREFIX=%{_mandir} %make_install


%files
%license LICENSE
%license COPYING
%license COPYING_WESTON
%doc README.md
%{_bindir}/wvkbd-mobintl
%{_mandir}/man1/wvkbd.1*



%changelog
## START: Generated by rpmautospec
* Wed Apr 30 2025 John Doe <packager@example.com> - 0.16-1
- Uncommitted changes
## END: Generated by rpmautospec
